Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.utils
Class CinemaDebug

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.cinema.utils.CinemaDebug

All Implemented Interfaces:
  ActionListener, EventListener

public class CinemaDebug
extends Module
implements ActionListener

CinemaDebug.java This class provides the Debugging architecture implementation for Cinema. It provides a Console GUI, files logs and oh so much more... Eventually the initial state of this should result from the XML initiation, but at the moment it just does lots of things at once. Created: Sun May 7 18:36:44 2000

Version:
  $Id: CinemaDebug.java,v 1.4 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Nested Class Summary
`class` | `CinemaDebug.DebugImpl`

Constructor Summary
`CinemaDebug()`

Method Summary
`void` | `actionPerformed(ActionEvent event)`
`ModuleIdentifierList` | `getRequiredIdentifiers()` Returns the module identifiers for the required modules.
`String` | `getVersion()` Returns the version of this module.
`void` | `load()` The method called for the load of this module.
`void` | `start()` The method called externally to initiate the modules function.

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, destroy, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaDebug

    public CinemaDebug()

Method Detail

### load

    public void load()

  Description copied from class: `Module`
  The method called for the load of this module.

  Overrides:
    `load` in class `Module`

### start

    public void start()

  Description copied from class: `Module`
  The method called externally to initiate the modules function.

  Overrides:
    `start` in class `Module`

### actionPerformed

    public void actionPerformed(ActionEvent event)

  Specified by:
    `actionPerformed` in interface `ActionListener`

### getVersion

    public String getVersion()

  Description copied from class: `Module`
  Returns the version of this module.

  Specified by:
    `getVersion` in class `Module`
  Returns:
    the version

### getRequiredIdentifiers

    public ModuleIdentifierList getRequiredIdentifiers()

  Description copied from class: `Module`
  Returns the module identifiers for the required modules. This places a call on getRequiredModules, which is delegated to the module context. It may require over-riding inorder to improve the efficiency of the method.

  Overrides:
    `getRequiredIdentifiers` in class `Module`
  Returns:
    the required module identifiers

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD